> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/application/applicationbuildconfiguration.md).

# Applicationbuildconfiguration

If an [Application](https://docs.i3d.net/game-hosting/elements/application.md) uses configuration files (e.g. `setup.cfg`), then these can be submitted and assigned to an [ApplicationBuild](https://docs.i3d.net/game-hosting/elements/application/applicationbuild.md) in the form of ApplicationBuildConfiguration elements. Each of these elements represent a configuration file. An ApplicationBuild can have zero or more ApplicationBuildConfiguration elements.

## Element structure

| Property       | Value type | Required  | Description                                       |
| -------------- | ---------- | --------- | ------------------------------------------------- |
| id             | string     | Read-only | Unique identifier of this element                 |
| configPath     | string     | Yes       | A path relative to the root of an application     |
| configName     | string     | Yes       | The name of the configuration file                |
| configContents | string     | Yes       | The contents of the configuration file            |
| createdAt      | int        | Read-only | A unix timestamp of when this element was created |

Table 1: ApplicationBuildConfiguration element structure

## Note about configPath

The configPath property defines in which folder to store the configuration file. The folder is always relative to the root (working directory) of the deployed ApplicationInstance's folder on the Host.

* if the folder does not exist, it will be created
* if configPath is `/`, `\` or `.`, it will be translated to point to the ApplicationInstance's working directory

## Relations

See also: [Application element relations](https://docs.i3d.net/game-hosting/elements/application/element-relations.md)

## Restrictions

You can have any number of ApplicationBuildConfiguration elements assigned to an ApplicationBuild. There is no limit.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/game-hosting/elements/application/applicationbuildconfiguration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
